ELNode.Visitor (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: ELNode, class: Visitor

# Class ELNode.Visitor

java.lang.Object
org.apache.jasper.compiler.ELNode.Visitor

Enclosing class:
  `ELNode`

public static class ELNode.Visitor extends Object
A visitor class for traversing ELNodes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Visitor()`
  Creates a new Visitor instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visit(ELNode.ELText n)`
  Visits an ELText node.
  `void`
  `visit(ELNode.Function n)`
  Visits a Function node.
  `void`
  `visit(ELNode.Root n)`
  Visits a Root node by traversing its contained expression.
  `void`
  `visit(ELNode.Text n)`
  Visits a Text node.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Visitor

    public Visitor()
    Creates a new Visitor instance.

- ## Method Details

  - ### visit

    public void visit(ELNode.Root n) throws JasperException
    Visits a Root node by traversing its contained expression.
    Parameters:
      `n` - the root node
    Throws:
      `JasperException` - if an error occurs during visitation

  - ### visit

    public void visit(ELNode.Function n) throws JasperException
    Visits a Function node. No-op by default; override to handle functions.
    Parameters:
      `n` - the function node
    Throws:
      `JasperException` - if an error occurs during visitation

  - ### visit

    public void visit(ELNode.Text n) throws JasperException
    Visits a Text node. No-op by default; override to handle text.
    Parameters:
      `n` - the text node
    Throws:
      `JasperException` - if an error occurs during visitation

  - ### visit

    public void visit(ELNode.ELText n) throws JasperException
    Visits an ELText node. No-op by default; override to handle EL text.
    Parameters:
      `n` - the EL text node
    Throws:
      `JasperException` - if an error occurs during visitation